---
# yamllint
#
# TAG should be defined by caller.  Used to ensure testing containers have
# unique but known names.
version: '3'

volumes:
  pip:
    driver: local

services:
  postgres:
    image: postgres:12
    volumes:
      - type: bind
        source: ../instance/pg
        target: /var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: supersecretpassword
    ports:
      - "5432:5432"
    container_name: postgres-$TAG
    healthcheck:
      test: pg_isready -h localhost -p 5432 -U postgres -d postgres
  resources:
    build:
      context: ../
      dockerfile: deployment/Dockerfile.resources
    ports:
      - "8080:80"
    container_name: resources-$TAG
